Package com.io7m.idstore.protocol.admin

# Record Class IdACommandAdminGet

java.lang.Object
java.lang.Record
com.io7m.idstore.protocol.admin.IdACommandAdminGet

Record Components:
  `admin` - The admin ID

All Implemented Interfaces:
  `com.io7m.hibiscus.api.HBCommandType`, `com.io7m.hibiscus.api.HBMessageType`, `IdACommandType<IdAResponseAdminGet>`, `IdAMessageType`, `IdProtocolMessageType`

public record IdACommandAdminGet(UUID admin) extends Record implements IdACommandType<IdAResponseAdminGet>
Get the given admin.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdACommandAdminGet(UUID admin)`
  Get the given admin.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `UUID`
  `admin()`
  Returns the value of the `admin` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `Class<IdAResponseAdminGet>`
  `responseClass()`
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdACommandAdminGet

    public IdACommandAdminGet(UUID admin)
    Get the given admin.

- ## Method Details

  - ### responseClass

    public Class<IdAResponseAdminGet> responseClass()
    Specified by:
      `responseClass` in interface `IdACommandType<IdAResponseAdminGet>`
    Returns:
      The response type associated with this command

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### admin

    public UUID admin()
    Returns the value of the `admin` record component.
    Returns:
      the value of the `admin` record component